For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Get return

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/returns/:mp_return_number
GET
/api/v1/orders/:mp_order_number/returns/:mp_return_number
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number \
> -H "Authorization: Bearer <token>"
1{
2 "status": "AUTHORIZED",
3 "rma": "RMA-12345",
4 "mp_return_number": "RET-600A",
5 "mp_order_number": "600A",
6 "request_date": {},
7 "respond_date": {},
8 "shipping_address": {
9 "full_name": "John M. Doe",
10 "address1": "123 Fake Street",
11 "city": "Ghost Town",
12 "state": "DC",
13 "postal_code": "91234",
14 "country_code": "USA",
15 "address_type": "business",
16 "address2": "Building 456",
17 "address3": "Room 789",
18 "phone": "9997776666"
19 },
20 "customer_email": "customer@internet-provider.com",
21 "return_type": "SHIP",
22 "return_lines": [
23 {
24 "mp_return_line_number": "RETURN-XX-111-FF-1111",
25 "mp_order_line_number": "XX-111-FF-1111",
26 "sku": "1234-12353",
27 "quantity": 1,
28 "currency": "USD",
29 "requested_refund_principal": 1.1,
30 "reason": "Wrong color sent",
31 "preauthorized": true,
32 "product_name": "ACME Super Product",
33 "unit_price": 1.1,
34 "tax": 1.1,
35 "requested_refund_tax": 1.1,
36 "carrier": "UPS",
37 "tracking_number": "XXX-DDD-XXXX-DDDD"
38 }
39 ],
40 "merchant_refund_lines": [
41 {
42 "mp_return_line_number": "RETURN-XX-111-FF-1111",
43 "principal_refund_amount": 1.1,
44 "shipping_refund_amount": 1.1
45 }
46 ],
47 "errors": [
48 {
49 "code": "EXCESS_REFUND",
50 "message": "Requested refund amount for line exceeds line cost"
51 }
52 ]
53}

Get all seller-initiated refunds for an order

Was this page helpful?
Previous

Get returns for an order

Next

Create a return

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
mp_return_numberstringRequired
The unique Id for the return that is generated by the marketplace

Response

Get Return
statusenum
the return authorization number generated by the seller.
Allowed values:
rmastring1-128 characters

The return authorization number generated by the seller. This field is read-only for the marketplace.

mp_return_numberstring1-128 characters
the mp return number
mp_order_numberstring1-128 characters
the mp order number associated with the return
request_datedate

Date the return was requested. ISO 8601 DATE YYYY-MM-DD

respond_datedate
The date which the merchant must release the funds by
shipping_addressobject
customer_emailstring
The customer's email address
return_typeenum
How the items will be returned by the customer.
  • SHIP - the item will be shipped back by the customer
  • NO_RETURN - The customer will kep the item
  • IN_STORE - the item will be returned to the store by the customer (is only valid for V2)
Allowed values:
return_lineslist of objects
merchant_refund_lineslist of objects
errorslist of objects
Any unresolved errors reported by the marketplace for this return

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error